Index: kernel/arch/amd64/include/mm/as.h
===================================================================
--- kernel/arch/amd64/include/mm/as.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ kernel/arch/amd64/include/mm/as.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -36,11 +36,14 @@
 #define KERN_amd64_AS_H_
 
+#define ADDRESS_SPACE_HOLE_START	0x0000800000000000ULL
+#define ADDRESS_SPACE_HOLE_END		0xffff7fffffffffffULL
+
 #define KERNEL_ADDRESS_SPACE_SHADOWED_ARCH  0
 
-#define KERNEL_ADDRESS_SPACE_START_ARCH  (unsigned long) 0xffff800000000000
-#define KERNEL_ADDRESS_SPACE_END_ARCH    (unsigned long) 0xffffffffffffffff
+#define KERNEL_ADDRESS_SPACE_START_ARCH	0xffff800000000000ULL
+#define KERNEL_ADDRESS_SPACE_END_ARCH	0xffffffffffffffffULL
 
-#define USER_ADDRESS_SPACE_START_ARCH    (unsigned long) 0x0000000000000000
-#define USER_ADDRESS_SPACE_END_ARCH      (unsigned long) 0x00007fffffffffff
+#define USER_ADDRESS_SPACE_START_ARCH	0x0000000000000000ULL
+#define USER_ADDRESS_SPACE_END_ARCH	0x00007fffffffffffULL
 
 #define USTACK_ADDRESS_ARCH  (USER_ADDRESS_SPACE_END_ARCH - (PAGE_SIZE - 1))
Index: kernel/generic/include/typedefs.h
===================================================================
--- kernel/generic/include/typedefs.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ kernel/generic/include/typedefs.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -40,5 +40,5 @@
 #include <arch/types.h>
 
-#define NULL  0
+#define NULL  0UL
 
 #define false  0
Index: kernel/generic/src/syscall/copy.c
===================================================================
--- kernel/generic/src/syscall/copy.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ kernel/generic/src/syscall/copy.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -68,5 +68,6 @@
 	if (!KERNEL_ADDRESS_SPACE_SHADOWED) {
 		if (overlaps((uintptr_t) uspace_src, size,
-			KERNEL_ADDRESS_SPACE_START, KERNEL_ADDRESS_SPACE_END-KERNEL_ADDRESS_SPACE_START)) {
+			KERNEL_ADDRESS_SPACE_START,
+			KERNEL_ADDRESS_SPACE_END - KERNEL_ADDRESS_SPACE_START)) {
 			/*
 			 * The userspace source block conflicts with kernel address space.
@@ -75,4 +76,13 @@
 		}
 	}
+
+#ifdef ADDRESS_SPACE_HOLE_START
+	/*
+	 * Check whether the address is outside the address space hole.
+	 */
+	if (overlaps((uintptr_t) uspace_src, size, ADDRESS_SPACE_HOLE_START,
+	    ADDRESS_SPACE_HOLE_END - ADDRESS_SPACE_HOLE_START))
+		return EPERM;
+#endif
 	
 	ipl = interrupts_disable();
@@ -109,5 +119,6 @@
 	if (!KERNEL_ADDRESS_SPACE_SHADOWED) {
 		if (overlaps((uintptr_t) uspace_dst, size,
-			KERNEL_ADDRESS_SPACE_START, KERNEL_ADDRESS_SPACE_END-KERNEL_ADDRESS_SPACE_START)) {
+			KERNEL_ADDRESS_SPACE_START,
+			KERNEL_ADDRESS_SPACE_END - KERNEL_ADDRESS_SPACE_START)) {
 			/*
 			 * The userspace destination block conflicts with kernel address space.
@@ -116,4 +127,13 @@
 		}
 	}
+
+#ifdef ADDRESS_SPACE_HOLE_START
+	/*
+	 * Check whether the address is outside the address space hole.
+	 */
+	if (overlaps((uintptr_t) uspace_dst, size, ADDRESS_SPACE_HOLE_START,
+	    ADDRESS_SPACE_HOLE_END - ADDRESS_SPACE_HOLE_START))
+		return EPERM;
+#endif
 	
 	ipl = interrupts_disable();
Index: kernel/generic/src/udebug/udebug_ops.c
===================================================================
--- kernel/generic/src/udebug/udebug_ops.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ kernel/generic/src/udebug/udebug_ops.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -428,5 +428,5 @@
  * @param data_size Place to store size of the data.
  *
- * @returns EOK.
+ * @return EOK.
  *
  */
Index: uspace/Makefile
===================================================================
--- uspace/Makefile	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/Makefile	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -50,5 +50,4 @@
 	app/trace \
 	app/top \
-	app/netstart \
 	app/netecho \
 	app/nettest1 \
Index: uspace/app/bdsh/cmds/modules/bdd/bdd.c
===================================================================
--- uspace/app/bdsh/cmds/modules/bdd/bdd.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/app/bdsh/cmds/modules/bdd/bdd.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -68,5 +68,5 @@
 	unsigned int argc;
 	unsigned int i, j;
-	dev_handle_t handle;
+	devmap_handle_t handle;
 	uint8_t *blk;
 	size_t size, bytes, rows;
Index: uspace/app/getterm/getterm.c
===================================================================
--- uspace/app/getterm/getterm.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/app/getterm/getterm.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -84,5 +84,6 @@
 	bool print_wmsg;
 
-	++argv; --argc;
+	argv++;
+	argc--;
 	if (argc < 1) {
 		usage();
@@ -92,5 +93,6 @@
 	if (str_cmp(*argv, "-w") == 0) {
 		print_wmsg = true;
-		++argv; --argc;
+		argv++;
+		argc--;
 	} else {
 		print_wmsg = false;
Index: uspace/app/init/init.c
===================================================================
--- uspace/app/init/init.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/app/init/init.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -185,5 +185,5 @@
 	
 	/* Wait for the input device to be ready */
-	dev_handle_t handle;
+	devmap_handle_t handle;
 	rc = devmap_device_get_handle(dev, &handle, IPC_FLAG_BLOCKING);
 	if (rc != EOK) {
@@ -210,5 +210,5 @@
 	
 	/* Wait for the terminal device to be ready */
-	dev_handle_t handle;
+	devmap_handle_t handle;
 	rc = devmap_device_get_handle(dev, &handle, IPC_FLAG_BLOCKING);
 	if (rc != EOK) {
Index: uspace/app/mkfat/mkfat.c
===================================================================
--- uspace/app/mkfat/mkfat.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/app/mkfat/mkfat.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -85,5 +85,5 @@
     struct fat_params *par);
 static int fat_blocks_write(struct fat_params const *par,
-    dev_handle_t handle);
+    devmap_handle_t handle);
 static void fat_bootsec_create(struct fat_params const *par, struct fat_bs *bs);
 
@@ -95,5 +95,5 @@
 	int rc;
 	char *dev_path;
-	dev_handle_t handle;
+	devmap_handle_t handle;
 	size_t block_size;
 	char *endptr;
@@ -234,5 +234,5 @@
 
 /** Create file system with the given parameters. */
-static int fat_blocks_write(struct fat_params const *par, dev_handle_t handle)
+static int fat_blocks_write(struct fat_params const *par, devmap_handle_t handle)
 {
 	aoff64_t addr;
Index: uspace/app/netecho/print_error.h
===================================================================
--- uspace/app/netecho/print_error.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/app/netecho/print_error.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -43,5 +43,5 @@
  *
  * @param[in] error_code The error code.
- * @returns A value indicating whether the error code may be an ICMP error code.
+ * @return A value indicating whether the error code may be an ICMP error code.
  */
 #define IS_ICMP_ERROR(error_code)	((error_code) > 0)
@@ -50,5 +50,5 @@
  *
  * @param[in] error_code The error code.
- * @returns A value indicating whether the error code may be a socket error code.
+ * @return A value indicating whether the error code may be a socket error code.
  */
 #define IS_SOCKET_ERROR(error_code)	((error_code) < 0)
Index: uspace/app/nettest1/nettest.c
===================================================================
--- uspace/app/nettest1/nettest.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/app/nettest1/nettest.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -49,6 +49,6 @@
  * @param[in] family The socket address family.
  * @param[in] type The socket type.
- * @returns EOK on success.
- * @returns Other error codes as defined for the socket() function.
+ * @return EOK on success.
+ * @return Other error codes as defined for the socket() function.
  */
 int sockets_create(int verbose, int *socket_ids, int sockets, int family, sock_type_t type)
@@ -80,6 +80,6 @@
  * @param[in] socket_ids A field of stored socket identifiers.
  * @param[in] sockets The number of sockets in the field. Should be at most the size of the field.
- * @returns EOK on success.
- * @returns Other error codes as defined for the closesocket() function.
+ * @return EOK on success.
+ * @return Other error codes as defined for the closesocket() function.
  */
 int sockets_close(int verbose, int *socket_ids, int sockets)
@@ -114,6 +114,6 @@
  * @param[in] address The destination host address to connect to.
  * @param[in] addrlen The length of the destination address in bytes.
- * @returns EOK on success.
- * @returns Other error codes as defined for the connect() function.
+ * @return EOK on success.
+ * @return Other error codes as defined for the connect() function.
  */
 int sockets_connect(int verbose, int *socket_ids, int sockets, struct sockaddr *address, socklen_t addrlen)
@@ -150,6 +150,6 @@
  * @param[in] size The data size in bytes.
  * @param[in] messages The number of datagrams per socket to be sent.
- * @returns EOK on success.
- * @returns Other error codes as defined for the sendto() function.
+ * @return EOK on success.
+ * @return Other error codes as defined for the sendto() function.
  */
 int sockets_sendto(int verbose, int *socket_ids, int sockets, struct sockaddr *address, socklen_t addrlen, char *data, int size, int messages)
@@ -190,6 +190,6 @@
  * @param[in] size The maximum data size in bytes.
  * @param[in] messages The number of datagrams per socket to be received.
- * @returns EOK on success.
- * @returns Other error codes as defined for the recvfrom() function.
+ * @return EOK on success.
+ * @return Other error codes as defined for the recvfrom() function.
  */
 int sockets_recvfrom(int verbose, int *socket_ids, int sockets, struct sockaddr *address, socklen_t *addrlen, char *data, int size, int messages)
@@ -232,6 +232,6 @@
  * @param[in] size The data size in bytes.
  * @param[in] messages The number of datagrams per socket to be received.
- * @returns EOK on success.
- * @returns Other error codes as defined for the recvfrom() function.
+ * @return EOK on success.
+ * @return Other error codes as defined for the recvfrom() function.
  */
 int sockets_sendto_recvfrom(int verbose, int *socket_ids, int sockets, struct sockaddr *address, socklen_t *addrlen, char *data, int size, int messages)
Index: uspace/app/test_serial/test_serial.c
===================================================================
--- uspace/app/test_serial/test_serial.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/app/test_serial/test_serial.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -69,5 +69,5 @@
 	int res;
 	res = devman_get_phone(DEVMAN_CLIENT, IPC_FLAG_BLOCKING);
-	device_handle_t handle;
+	devman_handle_t handle;
 	
 	res = devman_device_get_handle("/hw/pci0/00:01.0/com1", &handle,
Index: uspace/drv/ns8250/cyclic_buffer.h
===================================================================
--- uspace/drv/ns8250/cyclic_buffer.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/drv/ns8250/cyclic_buffer.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -45,5 +45,5 @@
 
 /*
- * @returns		False if the buffer is full.
+ * @return		False if the buffer is full.
  */
 static inline bool buf_push_back(cyclic_buffer_t *buf, uint8_t item)
Index: uspace/lib/block/libblock.c
===================================================================
--- uspace/lib/block/libblock.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/block/libblock.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -75,5 +75,5 @@
 typedef struct {
 	link_t link;
-	dev_handle_t dev_handle;
+	devmap_handle_t devmap_handle;
 	int dev_phone;
 	fibril_mutex_t comm_area_lock;
@@ -91,5 +91,5 @@
 static int get_num_blocks(int dev_phone, aoff64_t *nblocks);
 
-static devcon_t *devcon_search(dev_handle_t dev_handle)
+static devcon_t *devcon_search(devmap_handle_t devmap_handle)
 {
 	link_t *cur;
@@ -98,5 +98,5 @@
 	for (cur = dcl_head.next; cur != &dcl_head; cur = cur->next) {
 		devcon_t *devcon = list_get_instance(cur, devcon_t, link);
-		if (devcon->dev_handle == dev_handle) {
+		if (devcon->devmap_handle == devmap_handle) {
 			fibril_mutex_unlock(&dcl_lock);
 			return devcon;
@@ -107,5 +107,5 @@
 }
 
-static int devcon_add(dev_handle_t dev_handle, int dev_phone, size_t bsize,
+static int devcon_add(devmap_handle_t devmap_handle, int dev_phone, size_t bsize,
     void *comm_area, size_t comm_size)
 {
@@ -121,5 +121,5 @@
 	
 	link_initialize(&devcon->link);
-	devcon->dev_handle = dev_handle;
+	devcon->devmap_handle = devmap_handle;
 	devcon->dev_phone = dev_phone;
 	fibril_mutex_initialize(&devcon->comm_area_lock);
@@ -134,5 +134,5 @@
 	for (cur = dcl_head.next; cur != &dcl_head; cur = cur->next) {
 		devcon_t *d = list_get_instance(cur, devcon_t, link);
-		if (d->dev_handle == dev_handle) {
+		if (d->devmap_handle == devmap_handle) {
 			fibril_mutex_unlock(&dcl_lock);
 			free(devcon);
@@ -152,5 +152,5 @@
 }
 
-int block_init(dev_handle_t dev_handle, size_t comm_size)
+int block_init(devmap_handle_t devmap_handle, size_t comm_size)
 {
 	int rc;
@@ -165,5 +165,5 @@
 	}
 
-	dev_phone = devmap_device_connect(dev_handle, IPC_FLAG_BLOCKING);
+	dev_phone = devmap_device_connect(devmap_handle, IPC_FLAG_BLOCKING);
 	if (dev_phone < 0) {
 		munmap(comm_area, comm_size);
@@ -185,5 +185,5 @@
 	}
 	
-	rc = devcon_add(dev_handle, dev_phone, bsize, comm_area, comm_size);
+	rc = devcon_add(devmap_handle, dev_phone, bsize, comm_area, comm_size);
 	if (rc != EOK) {
 		munmap(comm_area, comm_size);
@@ -195,11 +195,11 @@
 }
 
-void block_fini(dev_handle_t dev_handle)
-{
-	devcon_t *devcon = devcon_search(dev_handle);
+void block_fini(devmap_handle_t devmap_handle)
+{
+	devcon_t *devcon = devcon_search(devmap_handle);
 	assert(devcon);
 	
 	if (devcon->cache)
-		(void) block_cache_fini(dev_handle);
+		(void) block_cache_fini(devmap_handle);
 
 	devcon_remove(devcon);
@@ -214,10 +214,10 @@
 }
 
-int block_bb_read(dev_handle_t dev_handle, aoff64_t ba)
+int block_bb_read(devmap_handle_t devmap_handle, aoff64_t ba)
 {
 	void *bb_buf;
 	int rc;
 
-	devcon_t *devcon = devcon_search(dev_handle);
+	devcon_t *devcon = devcon_search(devmap_handle);
 	if (!devcon)
 		return ENOENT;
@@ -244,7 +244,7 @@
 }
 
-void *block_bb_get(dev_handle_t dev_handle)
-{
-	devcon_t *devcon = devcon_search(dev_handle);
+void *block_bb_get(devmap_handle_t devmap_handle)
+{
+	devcon_t *devcon = devcon_search(devmap_handle);
 	assert(devcon);
 	return devcon->bb_buf;
@@ -272,8 +272,8 @@
 };
 
-int block_cache_init(dev_handle_t dev_handle, size_t size, unsigned blocks,
+int block_cache_init(devmap_handle_t devmap_handle, size_t size, unsigned blocks,
     enum cache_mode mode)
 {
-	devcon_t *devcon = devcon_search(dev_handle);
+	devcon_t *devcon = devcon_search(devmap_handle);
 	cache_t *cache;
 	if (!devcon)
@@ -305,7 +305,7 @@
 }
 
-int block_cache_fini(dev_handle_t dev_handle)
-{
-	devcon_t *devcon = devcon_search(dev_handle);
+int block_cache_fini(devmap_handle_t devmap_handle)
+{
+	devcon_t *devcon = devcon_search(devmap_handle);
 	cache_t *cache;
 	int rc;
@@ -374,5 +374,5 @@
  * @param block			Pointer to where the function will store the
  * 				block pointer on success.
- * @param dev_handle		Device handle of the block device.
+ * @param devmap_handle		Device handle of the block device.
  * @param boff			Block offset.
  * @param flags			If BLOCK_FLAGS_NOREAD is specified, block_get()
@@ -382,5 +382,5 @@
  * @return			EOK on success or a negative error code.
  */
-int block_get(block_t **block, dev_handle_t dev_handle, aoff64_t boff, int flags)
+int block_get(block_t **block, devmap_handle_t devmap_handle, aoff64_t boff, int flags)
 {
 	devcon_t *devcon;
@@ -391,5 +391,5 @@
 	int rc;
 	
-	devcon = devcon_search(dev_handle);
+	devcon = devcon_search(devmap_handle);
 
 	assert(devcon);
@@ -500,5 +500,5 @@
 
 		block_initialize(b);
-		b->dev_handle = dev_handle;
+		b->devmap_handle = devmap_handle;
 		b->size = cache->lblock_size;
 		b->boff = boff;
@@ -549,5 +549,5 @@
 int block_put(block_t *block)
 {
-	devcon_t *devcon = devcon_search(block->dev_handle);
+	devcon_t *devcon = devcon_search(block->devmap_handle);
 	cache_t *cache;
 	unsigned blocks_cached;
@@ -645,5 +645,5 @@
 /** Read sequential data from a block device.
  *
- * @param dev_handle	Device handle of the block device.
+ * @param devmap_handle	Device handle of the block device.
  * @param bufpos	Pointer to the first unread valid offset within the
  * 			communication buffer.
@@ -657,5 +657,5 @@
  * @return		EOK on success or a negative return code on failure.
  */
-int block_seqread(dev_handle_t dev_handle, size_t *bufpos, size_t *buflen,
+int block_seqread(devmap_handle_t devmap_handle, size_t *bufpos, size_t *buflen,
     aoff64_t *pos, void *dst, size_t size)
 {
@@ -665,5 +665,5 @@
 	devcon_t *devcon;
 
-	devcon = devcon_search(dev_handle);
+	devcon = devcon_search(devmap_handle);
 	assert(devcon);
 	block_size = devcon->pblock_size;
@@ -711,5 +711,5 @@
 /** Read blocks directly from device (bypass cache).
  *
- * @param dev_handle	Device handle of the block device.
+ * @param devmap_handle	Device handle of the block device.
  * @param ba		Address of first block.
  * @param cnt		Number of blocks.
@@ -718,10 +718,10 @@
  * @return		EOK on success or negative error code on failure.
  */
-int block_read_direct(dev_handle_t dev_handle, aoff64_t ba, size_t cnt, void *buf)
+int block_read_direct(devmap_handle_t devmap_handle, aoff64_t ba, size_t cnt, void *buf)
 {
 	devcon_t *devcon;
 	int rc;
 
-	devcon = devcon_search(dev_handle);
+	devcon = devcon_search(devmap_handle);
 	assert(devcon);
 	
@@ -739,5 +739,5 @@
 /** Write blocks directly to device (bypass cache).
  *
- * @param dev_handle	Device handle of the block device.
+ * @param devmap_handle	Device handle of the block device.
  * @param ba		Address of first block.
  * @param cnt		Number of blocks.
@@ -746,5 +746,5 @@
  * @return		EOK on success or negative error code on failure.
  */
-int block_write_direct(dev_handle_t dev_handle, aoff64_t ba, size_t cnt,
+int block_write_direct(devmap_handle_t devmap_handle, aoff64_t ba, size_t cnt,
     const void *data)
 {
@@ -752,5 +752,5 @@
 	int rc;
 
-	devcon = devcon_search(dev_handle);
+	devcon = devcon_search(devmap_handle);
 	assert(devcon);
 	
@@ -767,14 +767,14 @@
 /** Get device block size.
  *
- * @param dev_handle	Device handle of the block device.
+ * @param devmap_handle	Device handle of the block device.
  * @param bsize		Output block size.
  *
  * @return		EOK on success or negative error code on failure.
  */
-int block_get_bsize(dev_handle_t dev_handle, size_t *bsize)
+int block_get_bsize(devmap_handle_t devmap_handle, size_t *bsize)
 {
 	devcon_t *devcon;
 
-	devcon = devcon_search(dev_handle);
+	devcon = devcon_search(devmap_handle);
 	assert(devcon);
 	
@@ -784,14 +784,14 @@
 /** Get number of blocks on device.
  *
- * @param dev_handle	Device handle of the block device.
+ * @param devmap_handle	Device handle of the block device.
  * @param nblocks	Output number of blocks.
  *
  * @return		EOK on success or negative error code on failure.
  */
-int block_get_nblocks(dev_handle_t dev_handle, aoff64_t *nblocks)
+int block_get_nblocks(devmap_handle_t devmap_handle, aoff64_t *nblocks)
 {
 	devcon_t *devcon;
 
-	devcon = devcon_search(dev_handle);
+	devcon = devcon_search(devmap_handle);
 	assert(devcon);
 	
@@ -818,5 +818,5 @@
 		printf("Error %d reading %d blocks starting at block %" PRIuOFF64
 		    " from device handle %d\n", rc, cnt, ba,
-		    devcon->dev_handle);
+		    devcon->devmap_handle);
 #ifndef NDEBUG
 		stacktrace_print();
@@ -844,5 +844,5 @@
 	if (rc != EOK) {
 		printf("Error %d writing %d blocks starting at block %" PRIuOFF64
-		    " to device handle %d\n", rc, cnt, ba, devcon->dev_handle);
+		    " to device handle %d\n", rc, cnt, ba, devcon->devmap_handle);
 #ifndef NDEBUG
 		stacktrace_print();
Index: uspace/lib/block/libblock.h
===================================================================
--- uspace/lib/block/libblock.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/block/libblock.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -72,5 +72,5 @@
 	fibril_rwlock_t contents_lock;
 	/** Handle of the device where the block resides. */
-	dev_handle_t dev_handle;
+	devmap_handle_t devmap_handle;
 	/** Block offset on the block device. Counted in 'size'-byte blocks. */
 	aoff64_t boff;
@@ -93,23 +93,23 @@
 };
 
-extern int block_init(dev_handle_t, size_t);
-extern void block_fini(dev_handle_t);
+extern int block_init(devmap_handle_t, size_t);
+extern void block_fini(devmap_handle_t);
 
-extern int block_bb_read(dev_handle_t, aoff64_t);
-extern void *block_bb_get(dev_handle_t);
+extern int block_bb_read(devmap_handle_t, aoff64_t);
+extern void *block_bb_get(devmap_handle_t);
 
-extern int block_cache_init(dev_handle_t, size_t, unsigned, enum cache_mode);
-extern int block_cache_fini(dev_handle_t);
+extern int block_cache_init(devmap_handle_t, size_t, unsigned, enum cache_mode);
+extern int block_cache_fini(devmap_handle_t);
 
-extern int block_get(block_t **, dev_handle_t, aoff64_t, int);
+extern int block_get(block_t **, devmap_handle_t, aoff64_t, int);
 extern int block_put(block_t *);
 
-extern int block_seqread(dev_handle_t, size_t *, size_t *, aoff64_t *, void *,
+extern int block_seqread(devmap_handle_t, size_t *, size_t *, aoff64_t *, void *,
     size_t);
 
-extern int block_get_bsize(dev_handle_t, size_t *);
-extern int block_get_nblocks(dev_handle_t, aoff64_t *);
-extern int block_read_direct(dev_handle_t, aoff64_t, size_t, void *);
-extern int block_write_direct(dev_handle_t, aoff64_t, size_t, const void *);
+extern int block_get_bsize(devmap_handle_t, size_t *);
+extern int block_get_nblocks(devmap_handle_t, aoff64_t *);
+extern int block_read_direct(devmap_handle_t, aoff64_t, size_t, void *);
+extern int block_write_direct(devmap_handle_t, aoff64_t, size_t, const void *);
 
 #endif
Index: uspace/lib/c/generic/adt/char_map.c
===================================================================
--- uspace/lib/c/generic/adt/char_map.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/generic/adt/char_map.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -60,17 +60,17 @@
  * @param[in] value	The integral value to be stored for the key character
  *			string.
- * @returns		EOK on success.
- * @returns		ENOMEM if there is not enough memory left.
- * @returns		EEXIST if the key character string is already used.
+ * @return		EOK on success.
+ * @return		ENOMEM if there is not enough memory left.
+ * @return		EEXIST if the key character string is already used.
  */
 static int
-char_map_add_item(char_map_ref map, const char *identifier, size_t length,
+char_map_add_item(char_map_t *map, const char *identifier, size_t length,
     const int value)
 {
 	if (map->next == (map->size - 1)) {
-		char_map_ref *tmp;
-
-		tmp = (char_map_ref *) realloc(map->items,
-		    sizeof(char_map_ref) * 2 * map->size);
+		char_map_t **tmp;
+
+		tmp = (char_map_t **) realloc(map->items,
+		    sizeof(char_map_t *) * 2 * map->size);
 		if (!tmp)
 			return ENOMEM;
@@ -80,5 +80,5 @@
 	}
 
-	map->items[map->next] = (char_map_ref) malloc(sizeof(char_map_t));
+	map->items[map->next] = (char_map_t *) malloc(sizeof(char_map_t));
 	if (!map->items[map->next])
 		return ENOMEM;
@@ -107,8 +107,8 @@
  *
  * @param[in] map	The character string to integer map.
- * @returns		TRUE if the map is valid.
- * @returns		FALSE otherwise.
- */
-static int char_map_is_valid(const char_map_ref map)
+ * @return		TRUE if the map is valid.
+ * @return		FALSE otherwise.
+ */
+static int char_map_is_valid(const char_map_t *map)
 {
 	return map && (map->magic == CHAR_MAP_MAGIC_VALUE);
@@ -127,17 +127,17 @@
  * @param[in] value	The integral value to be stored for the key character
  *			string.
- * @returns		EOK on success.
- * @returns		EINVAL if the map is not valid.
- * @returns		EINVAL if the identifier parameter is NULL.
- * @returns		EINVAL if the length parameter zero (0) and the
+ * @return		EOK on success.
+ * @return		EINVAL if the map is not valid.
+ * @return		EINVAL if the identifier parameter is NULL.
+ * @return		EINVAL if the length parameter zero (0) and the
  *			identifier parameter is an empty character string (the
  *			first character is the terminating zero ('\0')
  *			character.
- * @returns		EEXIST if the key character string is already used.
- * @returns		Other error codes as defined for the
+ * @return		EEXIST if the key character string is already used.
+ * @return		Other error codes as defined for the
  *			char_map_add_item() function.
  */
 int
-char_map_add(char_map_ref map, const char *identifier, size_t length,
+char_map_add(char_map_t *map, const char *identifier, size_t length,
     const int value)
 {
@@ -172,5 +172,5 @@
  * @param[in,out] map	The character string to integer map.
  */
-void char_map_destroy(char_map_ref map)
+void char_map_destroy(char_map_t *map)
 {
 	if (char_map_is_valid(map)) {
@@ -196,10 +196,10 @@
  *			zero (0) which means that the string is processed until
  *			the terminating zero ('\0') character is found.
- * @returns		The node holding the integral value assigned to the key
+ * @return		The node holding the integral value assigned to the key
  *			character string.
- * @returns		NULL if the key is not assigned a node.
- */
-static char_map_ref
-char_map_find_node(const char_map_ref map, const char *identifier,
+ * @return		NULL if the key is not assigned a node.
+ */
+static char_map_t *
+char_map_find_node(const char_map_t *map, const char *identifier,
     size_t length)
 {
@@ -224,5 +224,5 @@
 	}
 
-	return map;
+	return (char_map_t *) map;
 }
 
@@ -239,10 +239,10 @@
  *			zero (0) which means that the string is processed until
  *			the terminating zero ('\0') character is found.
- * @returns		The integral value assigned to the key character string.
- * @returns		CHAR_MAP_NULL if the key is not assigned a value.
- */
-int char_map_exclude(char_map_ref map, const char *identifier, size_t length)
-{
-	char_map_ref node;
+ * @return		The integral value assigned to the key character string.
+ * @return		CHAR_MAP_NULL if the key is not assigned a value.
+ */
+int char_map_exclude(char_map_t *map, const char *identifier, size_t length)
+{
+	char_map_t *node;
 
 	node = char_map_find_node(map, identifier, length);
@@ -267,10 +267,10 @@
  *			zero (0) which means that the string is processed until
  *			the terminating zero ('\0') character is found.
- *  @returns		The integral value assigned to the key character string.
- *  @returns		CHAR_MAP_NULL if the key is not assigned a value.
- */
-int char_map_find(const char_map_ref map, const char *identifier, size_t length)
-{
-	char_map_ref node;
+ *  @return		The integral value assigned to the key character string.
+ *  @return		CHAR_MAP_NULL if the key is not assigned a value.
+ */
+int char_map_find(const char_map_t *map, const char *identifier, size_t length)
+{
+	char_map_t *node;
 
 	node = char_map_find_node(map, identifier, length);
@@ -281,9 +281,9 @@
  *
  *  @param[in,out] map	The character string to integer map.
- *  @returns		EOK on success.
- *  @returns		EINVAL if the map parameter is NULL.
- *  @returns		ENOMEM if there is not enough memory left.
- */
-int char_map_initialize(char_map_ref map)
+ *  @return		EOK on success.
+ *  @return		EINVAL if the map parameter is NULL.
+ *  @return		ENOMEM if there is not enough memory left.
+ */
+int char_map_initialize(char_map_t *map)
 {
 	if (!map)
@@ -295,5 +295,5 @@
 	map->next = 0;
 
-	map->items = malloc(sizeof(char_map_ref) * map->size);
+	map->items = malloc(sizeof(char_map_t *) * map->size);
 	if (!map->items) {
 		map->magic = 0;
@@ -319,19 +319,19 @@
  *  @param[in] value	The integral value to be stored for the key character
  *			string.
- *  @returns		EOK on success.
- *  @returns		EINVAL if the map is not valid.
- *  @returns		EINVAL if the identifier parameter is NULL.
- *  @returns		EINVAL if the length parameter zero (0) and the
+ *  @return		EOK on success.
+ *  @return		EINVAL if the map is not valid.
+ *  @return		EINVAL if the identifier parameter is NULL.
+ *  @return		EINVAL if the length parameter zero (0) and the
  *			identifier parameter is an empty character string (the
  *			first character is the terminating zero ('\0) character.
- *  @returns		EEXIST if the key character string is already used.
- *  @returns		Other error codes as defined for the char_map_add_item()
+ *  @return		EEXIST if the key character string is already used.
+ *  @return		Other error codes as defined for the char_map_add_item()
  *			function.
  */
 int
-char_map_update(char_map_ref map, const char *identifier, const size_t length,
+char_map_update(char_map_t *map, const char *identifier, const size_t length,
     const int value)
 {
-	char_map_ref node;
+	char_map_t *node;
 
 	node = char_map_find_node(map, identifier, length);
